Alexander Barton 07c9653510 Import upstream version 20.1 9 years ago
..
src 3610f8bac1 Import upstream version 20 9 years ago
Bopm.txt c01f25a3cd Import upstream version 17.1 11 years ago
Capabilities.txt bc2d3427ea Import upstream version 19.2 9 years ago
Contributing.txt 3610f8bac1 Import upstream version 20 9 years ago
FAQ.txt e13e33193f Import upstream version 19.2~rc1 9 years ago
GIT.txt 23fb9d37a9 Import upstream version 19 10 years ago
HowToRelease.txt 3610f8bac1 Import upstream version 20 9 years ago
Makefile.am 07c9653510 Import upstream version 20.1 9 years ago
Makefile.in 07c9653510 Import upstream version 20.1 9 years ago
Modes.txt 3610f8bac1 Import upstream version 20 9 years ago
PAM.txt c01f25a3cd Import upstream version 17.1 11 years ago
Platforms.txt 3610f8bac1 Import upstream version 20 9 years ago
Protocol.txt 3610f8bac1 Import upstream version 20 9 years ago
README-AUX.txt b9db8b1777 Import upstream version 15 12 years ago
README-BeOS.txt b9db8b1777 Import upstream version 15 12 years ago
README-Interix.txt 23fb9d37a9 Import upstream version 19 10 years ago
RFC.txt 4736aa9617 Import upstream version 0.9.2 16 years ago
SSL.txt df8ad4f01d Import upstream version 18 10 years ago
Services.txt 3610f8bac1 Import upstream version 20 9 years ago
sample-ngircd.conf.tmpl 3610f8bac1 Import upstream version 20 9 years ago

README-AUX.txt


ngIRCd - Next Generation IRC Server

(c)2001-2005 Alexander Barton,
alex@barton.de, http://www.barton.de/

ngIRCd is free software and published under the
terms of the GNU General Public License.


-- README-AUX.txt --


Since version 0.2.2-pre Apple's A/UX belongs to the officially supported
platforms. It is not restricted in any way.

Since version 0.5.0 ngIRCd's source compiles with the native A/UX c
compiler. GNU C isn't a must-have anymore.

The following software packages are needed:

- GNU sed
Source:
http://www.rezepte-im-web.de/appleux/sed-3.02.tar.gz
ftp://arthur.barton.de/pub/unix/aux/tools/sed-3.02.tar.gz

A/UX comes with /bin/sed which isn't supporting all functions needed
by GNU automake/autoconf.

Warning: When installing GNU sed please make sure that A/UX doesn't
use the old one anymore which means set the $PATH or replace /bin/sed
at all.

- libUTIL.a
Source:
ftp://ftp.mayn.de/pub/really_old_stuff/apple/apple_unix/Sys_stuff/libUTIL-2.1.tar.gz>
ftp://arthur.barton.de/pub/unix/aux/libraries/libUTIL-2.1.tar.gz

This library contains functions that are common on other UNIX
systems but not on A/UX e.g. memmove(), strerror() and strdup().


After installation of these packages just do a "./configure" and "make" to
compile ngIRCd on A/UX.


A few hints in case of errors:

- Either there's an 'install' on your system which is completely broken
(so 'configure' uses its own shell script) or use a fully functionable one.
There's at least one binary "out there" causing problems. The one
of the GNU fileutils works fine:
ftp://arthur.barton.de/pub/unix/aux/tools/fileutils-4.0.tar.gz

- The precompiled binary of the old 'bash' shouldn't be installed within
/bin (better do this in /usr/local/bin) because 'configure' would
choose it as its shell which wouldn't work.

- Because of limitations of /bin/sh on A/UX it can't be used to create
the 'config.status' script. Better rename /bin/sh to /bin/sh.AUX and
replace it by a symbolic link to /bin/ksh (ln -s /bin/ksh /bin/sh as
root).
These procedure shouldn't cause you into problems and is recommended
even if you don't use ngIRCd.

--
$Id: README-AUX.txt,v 1.10 2006/07/23 12:19:57 alex Exp $